Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType jtaType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}jtaType

Model
  `<...>
  name?, notes?, timeout-seconds?, abandon-timeout-seconds?, forget-heuristics?, before-completion-iteration-limit?, max-transactions?, max-unique-name-statistics?, max-resource-requests-on-server?, max-xa-call-millis?, max-resource-unavailable-millis?, recovery-threshold-millis?, migration-checkpoint-interval-seconds?, max-transactions-health-interval-millis?, purge-resource-from-checkpoint-interval-seconds?, checkpoint-interval-seconds?, serialize-enlistments-gc-interval-millis?, parallel-xa-enabled?, parallel-xa-dispatch-policy?, unregister-resource-grace-period?, security-interop-mode?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This interface provides access to the JTA configuration attributes. The methods defined herein are applicable for JTA configuration at the domain level.

  MBean: `JTAMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`annonymous type derived from int` | `timeout-seconds` optional The transaction timeout seconds for active transactions, before the prepared state.
`annonymous type derived from int` | `abandon-timeout-seconds` optional The transaction abandon timeout seconds for transactions in the second phase of the two-phase commit (prepared and later).
`boolean` | `forget-heuristics` optional Specifies whether the transaction manager will automatically perform an `XAResource forget operation for heuristic transaction completions.`
`annonymous type derived from int` | `before-completion-iteration-limit` optional The maximum number of cycles that the transaction manager will perform the `beforeCompletion synchronization callback for this WebLogic Server domain.`
`annonymous type derived from int` | `max-transactions` optional The maximum number of simultaneous in-progress transactions allowed on a server in this WebLogic Server domain.
`annonymous type derived from int` | `max-unique-name-statistics` optional The maximum number of unique transaction names for which statistics will be maintained.
`annonymous type derived from int` | `max-resource-requests-on-server` optional Maximum number of concurrent requests to resources allowed for each server.
`annonymous type derived from long` | `max-xa-call-millis` optional Maximum allowed duration of XA calls to resources.
`annonymous type derived from long` | `max-resource-unavailable-millis` optional Maximum duration in milliseconds that a resource is declared dead.
`annonymous type derived from long` | `recovery-threshold-millis` optional
`annonymous type derived from int` | `migration-checkpoint-interval-seconds` optional
`annonymous type derived from long` | `max-transactions-health-interval-millis` optional
`annonymous type derived from int` | `purge-resource-from-checkpoint-interval-seconds` optional
`annonymous type derived from int` | `checkpoint-interval-seconds` optional The interval at which the transaction manager creates a new transaction log file and checks all old transaction log files to see if they are ready to be deleted.
`annonymous type derived from long` | `serialize-enlistments-gc-interval-millis` optional The interval at which internal objects used to serialize resource enlistment are cleaned up.
`boolean` | `parallel-xa-enabled` optional
`string` | `parallel-xa-dispatch-policy` optional
`annonymous type derived from int` | `unregister-resource-grace-period` optional The grace period (number of seconds) that the transaction manager waits for transactions involving the resource to complete before unregistering a resource.
`annonymous type derived from string` | `security-interop-mode` optional Specifies the security mode to use for XA calls in cross-domain transactions.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1